TLRC(1)

NAME
tlrc - official tldr client written in Rust

SYNOPSIS
tldr [options] [page]

OPTIONS

-u, --update
    Update the cache (i.e. delete the current cache, download archives for the configured languages and extract the new archives).

-l, --list
    List all pages in the current platform.

-a, --list-all
    List all pages.

-i, --info
    Show cache information (path, age, installed languages and the number of pages).

-r, --render <FILE>
    Render the specified markdown file.

--clean-cache
    Clean the cache (i.e. remove all subdirectories). You probably never have to run this, use --update instead.

--gen-config
    Print the default config to standard output.

--config-path
    Print the default config path and create the config directory if it does not exist.

-p, --platform <PLATFORM>
    Specify the platform to use (linux, osx, windows, etc.).

    Default: the operating system you are currently running

-L, --language <LANGUAGE_CODE>
    Specify the language to show pages in. Can be used multiple times. Overrides all other language detection methods. tlrc will not fall back to English when this option is used, and will instead show an error.

    Default: taken from the config or the LANG and LANGUAGE environment variables. See https://github.com/tldr-pages/tldr/blob/main/CLIENT-SPECIFICATION.md#language for a detailed description of how tlrc determines the language.

-o, --offline
    Do not update the cache, even if it is stale and automatic updates are on. Does nothing when automatic updates are off. Equivalent of setting cache.auto_update=false in the config.

-c, --compact
    Strip empty lines from output. Equivalent of setting output.compact=true in the config.

--no-compact
    Do not strip empty lines from output. Equivalent of setting output.compact=false in the config. This always overrides --compact.

-R, --raw
    Print pages in raw markdown. Equivalent of setting output.raw_markdown=true in the config.

--no-raw
    Render pages instead of printing raw file contents. Equivalent of setting output.raw_markdown=false in the config. This always overrides --raw.

-q, --quiet
    Suppress status messages and warnings. In other words, this makes tlrc print only pages and errors.

--color <WHEN>
    Specify when to enable color.
    Can be one of the following: 'always', 'never', 'auto'.
    always forces colors on; never forces colors off; and auto only automatically enables colors when outputting onto a tty and the NO_COLOR environment variable is not set or is an empty string.

    Default: auto

--config <FILE>
    Specify an alternative path to the config file.

    Default: platform-dependent (use --config-path to see the default path for your system)

-v, --version
    Print version information.

-h, --help
    Print a help message.

CONFIGURATION
To generate a default config file, run:

    tldr --gen-config > $(tldr --config-path)

See https://github.com/tldr-pages/tlrc#configuration for an example config file with explanations.

EXAMPLES
See the tldr page for tar:

    tldr tar

See the tldr page for diskpart, from platform windows:

    tldr --platform windows diskpart

EXIT STATUSES

0   OK

1   I/O and various other errors

2   Invalid command-line arguments

3   TOML (config file) parse error

4   Errors related to cache updates (e.g. a failed HTTP GET request)

5   Tldr syntax error (e.g. a non-empty line that does not start with '# ', '> ', '- ' or '`')

SEE ALSO
tldr client specification
https://github.com/tldr-pages/tldr/blob/main/CLIENT-SPECIFICATION.md

Repository
https://github.com/tldr-pages/tlrc